Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.events
Class DOMCustomEvent

    java.lang.Object
      org.apache.batik.dom.events.AbstractEvent
          org.apache.batik.dom.events.DOMEvent
              org.apache.batik.dom.events.DOMCustomEvent

All Implemented Interfaces:
  Cloneable, OriginalEvent, CustomEvent, Event

    public class DOMCustomEvent

extends DOMEvent
implements CustomEvent

A custom event object.

Field Summary
`protected Object` | `detail` The custom detail associated with this event.

Fields inherited from class org.apache.batik.dom.events.AbstractEvent
`bubbleLimit, cancelable, currentTarget, defaultActions, eventPhase, isBubbling, namespaceURI, originalEvent, preventDefault, stopImmediatePropagation, stopPropagation, target, timeStamp, type`

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Constructor Summary
`DOMCustomEvent()`

Method Summary
`Object` | `getDetail()` Returns the custom detail of this event.
`void` | `initCustomEventNS(String namespaceURIArg, String typeArg, boolean canBubbleArg, boolean cancelableArg, Object detailArg)` Initializes this custom event.

Methods inherited from class org.apache.batik.dom.events.AbstractEvent
`addDefaultAction, clone, cloneEvent, getBubbleLimit, getBubbles, getCancelable, getCurrentTarget, getDefaultActions, getDefaultPrevented, getEventPhase, getNamespaceURI, getOriginalEvent, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, setBubbleLimit, stopImmediatePropagation, stopPropagation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getDefaultPrevented, getEventPhase, getNamespaceURI, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, stopImmediatePropagation, stopPropagation`

Field Detail

### detail

    protected Object detail

  The custom detail associated with this event.

Constructor Detail

### DOMCustomEvent

    public DOMCustomEvent()

Method Detail

### getDetail

    public Object getDetail()

  Returns the custom detail of this event.

  Specified by:
    `getDetail` in interface `CustomEvent`

### initCustomEventNS

    public void initCustomEventNS(String namespaceURIArg,
                                  String typeArg,
                                  boolean canBubbleArg,
                                  boolean cancelableArg,
                                  Object detailArg)

  Initializes this custom event.

  Specified by:
    `initCustomEventNS` in interface `CustomEvent`
  Parameters:
    `namespaceURIArg` - Refer to the `Event.initEventNS()` method for a description of this parameter.
    `typeArg` - Refer to the `Event.initEventNS()` method for a description of this parameter.
    `canBubbleArg` - Refer to the `Event.initEventNS()` method for a description of this parameter.
    `cancelableArg` - Refer to the `Event.initEventNS()` method for a description of this parameter.
    `detailArg` - Specifies `CustomEvent.detail`. This value may be `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.